dnl $Id: config.m4,v 1.2 2008/01/31 05:18:35 johann Exp $
dnl config.m4 for extension skype

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

PHP_ARG_WITH(skype, for skype support,
[  --with-skype             Skype Support, Path of the DBUS Library])

dnl Otherwise use enable:

dnl PHP_ARG_ENABLE(skype, whether to enable skype support,
dnl Make sure that the comment is aligned:
dnl [  --enable-skype           Enable skype support])

if test "$PHP_SKYPE" != "no"; then
  # --with-skype -> check with-path johanntest
  SEARCH_PATH="/usr"
  SEARCH_FOR = "/include/dbus-1.0/dbus.h /lib/dbus-1.0/include/dbus/dbus-arch-deps.h"
  if test -r $PHP_SKYPE/$SEARCH_FOR; then # path given as parameter
    SKYPE_DIR=$PHP_SKYPE
  else # search default path list
    AC_MSG_CHECKING([johannfor skype files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        SKYPE_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  dnl
  if test -z "$SKYPE_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the skype distribution])
  fi

  # --with-skype -> add include path
  PHP_ADD_INCLUDE($SKYPE_DIR/include/dbus-1.0)
  PHP_ADD_INCLUDE($SKYPE_DIR/lib/dbus-1.0/include)

  # --with-skype -> check for lib and symbol presence
  LIBNAME=dbus-1 # you may want to change this
  LIBSYMBOL=dbus_connection_open # you most likely want to change this 

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $SKYPE_DIR/lib, SKYPE_SHARED_LIBADD)
    AC_DEFINE(HAVE_SKYPELIB,1,[ ])
  ],[
     AC_MSG_ERROR([wrong skype lib version or lib not found])
  ],[
    -L$SKYPE_DIR/lib -lm -ldl
  ])
  
  PHP_SUBST(SKYPE_SHARED_LIBADD)

  PHP_NEW_EXTENSION(skype, skype.c, $ext_shared)
fi
