/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2007 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+
*/

/* $Id: php_skype.h,v 1.1.1.1 2008/01/26 22:19:14 johann Exp $ */

#ifndef PHP_SKYPE_H
#define PHP_SKYPE_H

extern zend_module_entry skype_module_entry;
#define phpext_skype_ptr &skype_module_entry

#ifdef PHP_WIN32
#define PHP_SKYPE_API __declspec(dllexport)
#else
#define PHP_SKYPE_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#define DBUS_API_SUBJECT_TO_CHANGE

#include <dbus/dbus.h>

PHP_MINIT_FUNCTION(skype);
PHP_MSHUTDOWN_FUNCTION(skype);
PHP_RINIT_FUNCTION(skype);
PHP_RSHUTDOWN_FUNCTION(skype);
PHP_MINFO_FUNCTION(skype);

PHP_FUNCTION(skype_message);

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(skype)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(skype)
*/

/* In every utility function you add that needs to use variables 
   in php_skype_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as SKYPE_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define SKYPE_G(v) TSRMG(skype_globals_id, zend_skype_globals *, v)
#else
#define SKYPE_G(v) (skype_globals.v)
#endif

#endif	/* PHP_SKYPE_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */